Page MenuHomeFreeBSD

netdump: Fix 11 compatibility DIOCSKERNELDUMP ioctl
ClosedPublic

Authored by cem on Apr 20 2019, 3:25 AM.

Details

Summary

The logic was present for the 11 version of the DIOCSKERNELDUMP ioctl, but
had not been updated for the 12 ABI.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

cem created this revision.Apr 20 2019, 3:25 AM
markj accepted this revision.Apr 20 2019, 10:38 AM
This revision is now accepted and ready to land.Apr 20 2019, 10:38 AM
This revision was automatically updated to reflect the committed changes.

Now a kernel configuration without COMPAT_FREEBSD11 generates the following errror:

`--- netdump_client.o ---
/usr/src/sys/netinet/netdump/netdump_client.c:1143:8: error: unused variable 'u' [-Werror,-Wunused-variable]

u_int u;
      ^

1 error generated.
`

head/sys/netinet/netdump/netdump_client.c
1143

Use #ifdef COMPAT_FREEBSD11 here as well.

cem added inline comments.Apr 23 2019, 4:52 PM
head/sys/netinet/netdump/netdump_client.c
1143

Thanks for the catch!

LGTM.
A kernel configuration without COMPAT_FREEBSD11 is building successfully again.

This revision is now accepted and ready to land.Apr 24 2019, 7:16 AM
cem closed this revision.Apr 27 2019, 6:51 PM